<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/Accessories.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Accessories_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Accessories.h</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<a href="Accessories_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessories_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessories_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;<span class="comment">// Add a &#39;//&#39; at the beginning of the line to be in </span></div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;<span class="comment">// release mode.</span></div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;<span class="comment">//#define ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;<span class="comment">// Verbose mode lets you see all actions done by the </span></div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;<span class="comment">// library, but with a real flood of text to console...</span></div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;<span class="comment">// Has no effect if ACCESSORIES_DEBUG_MODE is not activated.</span></div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;<span class="comment">//#define ACCESSORIES_DEBUG_VERBOSE_MODE</span></div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;<span class="comment">// The function Accessories::printAccessories()</span></div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;<span class="comment">// is very heavy in program memory. So to avoid problems</span></div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;<span class="comment">// you can make this function available by uncomment the next line.</span></div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;<span class="comment">//#define ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;<span class="preprocessor">#ifdef DOXYGEN_SPECIFIC</span></div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;<span class="preprocessor">#define ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;<span class="preprocessor">#define ACCESSORIES_DEBUG_VERBOSE_MODE</span></div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;<span class="preprocessor">#define ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;<span class="preprocessor">#define NO_EEPROM</span></div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno"><a class="line" href="Accessories_8h.html#abe48e551c87434efe75af8e7d4df457c">  289</a></span>&#160;<span class="preprocessor">#define  GPIO2_PREFER_SPEED    1</span></div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;<span class="preprocessor">#include &quot;DIO2.h&quot;</span></div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;</div><div class="line"><a name="l00294"></a><span class="lineno"><a class="line" href="Accessories_8h.html#a86cfc9976a2d87ddad58b877ccd66073">  294</a></span>&#160;<span class="preprocessor">#define ACTION_STACK_SIZE   5</span></div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;<span class="comment">//  Exclusion area</span></div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;<span class="comment">//NO_GROUP</span></div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;<span class="comment">//  AccessoryGroup.cpp</span></div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;<span class="comment">//  AccessoryGroup.hpp</span></div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;<span class="comment">//NO_MOTOR</span></div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;<span class="comment">//  AccessoryMotor.cpp</span></div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;<span class="comment">//  AccessoryMotor.hpp</span></div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;<span class="comment">//  AccessoryMotorOneWay.cpp</span></div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;<span class="comment">//  AccessoryMotorOneWay.hpp</span></div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;<span class="comment">//  AccessoryMotorTwoWays.cpp</span></div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;<span class="comment">//  AccessoryMotorTwoWays.hpp</span></div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;<span class="comment">//  AFMotor.cpp</span></div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;<span class="comment">//  AFMotor.hpp</span></div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;<span class="comment">//NO_LIGHT</span></div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;<span class="comment">//  AccessoryBaseLight.cpp</span></div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;<span class="comment">//  AccessoryBaseLight.hpp</span></div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;<span class="comment">//  AccessoryLight.cpp</span></div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;<span class="comment">//  AccessoryLight.hpp</span></div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;<span class="comment">//  AccessoryLightMulti.cpp</span></div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;<span class="comment">//  AccessoryLightMulti.hpp</span></div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;<span class="comment">//NO_MOTOR_LIGHT</span></div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;<span class="comment">//  PortOnePin.cpp</span></div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;<span class="comment">//  PortOnePin.hpp</span></div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;<span class="comment">//  PortTwoPins.cpp</span></div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;<span class="comment">//  PortTwoPins.hpp</span></div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;<span class="comment">//  PortTwoPinsEnable.cpp</span></div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;<span class="comment">//  PortTwoPinsEnable.hpp</span></div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;<span class="comment">//  PortSpeedDirBrake.cpp</span></div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;<span class="comment">//  PortSpeedDirBrake.hpp</span></div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;<span class="comment">//  </span></div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;<span class="comment">//NO_SERVO</span></div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;<span class="comment">//  AccessoryServo.cpp</span></div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;<span class="comment">//  AccessoryServo.hpp</span></div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;<span class="comment">//  PortServo.cpp</span></div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;<span class="comment">//  PortServo.hpp</span></div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;<span class="comment">//  Servo.cpp</span></div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;<span class="comment">//  Servo.hpp</span></div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;<span class="comment">//NO_SHIELDL293D</span></div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;<span class="comment">//  PortShieldL293d.cpp</span></div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;<span class="comment">//  PortShieldL293d.hpp</span></div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;<span class="comment">//NO_STEPPER</span></div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;<span class="comment">//  AccessoryStepper.cpp</span></div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;<span class="comment">//  AccessoryStepper.hpp</span></div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;<span class="comment">//  DriverStepper.cpp</span></div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;<span class="comment">//  DriverStepper.hpp</span></div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;<span class="comment">//  PortStepper.cpp</span></div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;<span class="comment">//  PortStepper.hpp</span></div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;<span class="comment">//#define NO_GROUP</span></div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;<span class="comment">//#define NO_MOTOR</span></div><div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;<span class="comment">//#define NO_SERVO</span></div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;<span class="comment">//#define NO_STEPPER</span></div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;<span class="comment">//#define NO_LIGHT</span></div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;<span class="comment">//#define NO_SHIELDL293D</span></div><div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;</div><div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;<span class="preprocessor">#ifndef VISUALSTUDIO</span></div><div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;<span class="preprocessor">#define NO_EEPROM</span></div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;<span class="preprocessor">#ifdef NO_MOTOR</span></div><div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;<span class="preprocessor">    #ifdef NO_LIGHT</span></div><div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;<span class="preprocessor">        #define NO_MOTOR_LIGHT</span></div><div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;<span class="preprocessor">    #endif</span></div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;<span class="preprocessor">    #ifndef NO_MOTORONEWAY</span></div><div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;<span class="preprocessor">        #define NO_MOTORONEWAY</span></div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;<span class="preprocessor">    #endif</span></div><div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;<span class="preprocessor">    #ifndef NO_MOTORTWOWAYS</span></div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;<span class="preprocessor">        #define NO_MOTORTWOWAYS</span></div><div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;<span class="preprocessor">    #endif</span></div><div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;</div><div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;<span class="comment">// For Accessories library, L293D is not compatible with Arduino Due for the moment...</span></div><div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;<span class="preprocessor">#ifdef ARDUINO_ARCH_SAM</span></div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;<span class="preprocessor">#ifndef NO_SHIELDL293D</span></div><div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;<span class="preprocessor">    #define NO_SHIELDL293D</span></div><div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;</div><div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;</div><div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;<span class="preprocessor">#include &quot;Port.hpp&quot;</span></div><div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;<span class="preprocessor">#ifndef NO_MOTOR</span></div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;<span class="preprocessor">#include &quot;AccessoryMotorOneWay.hpp&quot;</span></div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;<span class="preprocessor">#include &quot;AccessoryMotorTwoWays.hpp&quot;</span></div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;<span class="preprocessor">#ifndef NO_SERVO</span></div><div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;<span class="preprocessor">#include &quot;AccessoryServo.hpp&quot;</span></div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;<span class="preprocessor">#ifndef NO_STEPPER</span></div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;<span class="preprocessor">#include &quot;AccessoryStepper.hpp&quot;</span></div><div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;<span class="preprocessor">#ifndef NO_LIGHT</span></div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;<span class="preprocessor">#include &quot;AccessoryLight.hpp&quot;</span></div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;<span class="preprocessor">#include &quot;AccessoryLightMulti.hpp&quot;</span></div><div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;</div><div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;<span class="preprocessor">#ifndef NO_GROUP</span></div><div class="line"><a name="l00402"></a><span class="lineno">  402</span>&#160;<span class="preprocessor">#include &quot;AccessoryGroup.hpp&quot;</span></div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;<span class="preprocessor">#ifndef NO_MOTOR_LIGHT</span></div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;<span class="preprocessor">#include &quot;PortOnePin.hpp&quot;</span></div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;<span class="preprocessor">#include &quot;PortTwoPins.hpp&quot;</span></div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;<span class="preprocessor">#include &quot;PortTwoPinsEnable.hpp&quot;</span></div><div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;<span class="preprocessor">#include &quot;PortSpeedDirBrake.hpp&quot;</span></div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160;</div><div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;<span class="preprocessor">#ifndef NO_SHIELDL293D</span></div><div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160;<span class="preprocessor">#include &quot;PortShieldL293d.hpp&quot;</span></div><div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160;</div><div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;<span class="preprocessor">#ifndef NO_SERVO</span></div><div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;<span class="preprocessor">#include &quot;PortServo.hpp&quot;</span></div><div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;</div><div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;<span class="preprocessor">#ifndef NO_STEPPER</span></div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;<span class="preprocessor">#include &quot;PortStepper.hpp&quot;</span></div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;<span class="preprocessor">#include &quot;Accessories.hpp&quot;</span></div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;<span class="preprocessor">#endif</span></div></div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><a class="el" href="Accessories_8h.html">Accessories.h</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
